#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Clone
Summary:	Clone - Perl module for recursively copying Perl datatypes
Summary(pl.UTF-8):	Clone - moduł Perla obsługujący rekursywne kopiowanie zmiennych w Perlu
Name:		perl-Clone
Version:	0.46
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Clone/%{pdir}-%{version}.tar.gz
# Source0-md5:	cafa8984a2c2e005e54b27dd1e3f0afe
URL:		https://metacpan.org/dist/Clone
%if %{with tests}
BuildRequires:	perl-B-COW >= 0.004
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a clone() method which makes recursive copies
of nested hash, array, scalar and reference types, including tied
variables and objects.

%description -l pl.UTF-8
Ten moduł dostarcza clone(), metodę służącą do rekurencyjnego
kopiowania zagnieżdżonych tablic asocjacyjnych, tablic, skalarów i
referencji, włącznie ze związanymi zmiennymi i obiektami.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Clone.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Clone/Clone.so
%{perl_vendorarch}/auto/Clone/autosplit.ix
%{_mandir}/man3/Clone.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Clone.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 94cae4b
- perl 5.40.0 rebuild

* Tue Aug 22 2023 Jakub Bogusz <qboosh@pld-linux.org> c131205
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 021e270
- perl 5.38.0 rebuild

* Fri Nov 04 2022 Jakub Bogusz <qboosh@pld-linux.org> dfafd9a
- updated to 0.46

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 583c50c
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1c47d17
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 2f96cdf
- updated to 0.45

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 67a0571
- rebuild with perl 5.32

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 35fc286
- updated to 0.44

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cdd8c07
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 9145dd5
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1581ef7
- up to 0.43

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a75bdc1
- release 5

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> e647bb3
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e885ea8
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3381d00
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 50eb9ad
- Up to 0.39

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 08a640a
- updated to 0.38

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e455b29
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 40a9315
- release 3 (by relup.sh)

